org.apache.geode.cache.configuration

## Class ClassNameType

- java.lang.Object
- - org.apache.geode.cache.configuration.ClassNameType

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    DeclarableType

      public class ClassNameType
      extends java.lang.Object
      implements java.io.Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `className`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassNameType()`
    `ClassNameType(java.lang.String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getClassName()` Gets the value of the className property.
    `int` | `hashCode()`
    `void` | `setClassName(java.lang.String value)` Sets the value of the className property.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected java.lang.String className

  - ### Constructor Detail

    - #### ClassNameType

          public ClassNameType()

    - #### ClassNameType

          public ClassNameType(java.lang.String className)

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

      Gets the value of the className property. possible object is `String`

    - #### setClassName

          public void setClassName(java.lang.String value)

      Sets the value of the className property. allowed object is `String`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`